Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.predicates
Class NotInGraphVertexPredicate

    java.lang.Object
      edu.uci.ics.jung.graph.predicates.GPredicate
          edu.uci.ics.jung.graph.predicates.VertexPredicate
              edu.uci.ics.jung.graph.predicates.NotInGraphVertexPredicate

All Implemented Interfaces:
  Predicate, UncopyablePredicate

public class NotInGraphVertexPredicate
extends VertexPredicate
implements UncopyablePredicate

A predicate that tests to see whether a specified vertex is currently part of a graph. May be used as a constraint. `AbstractSparseGraph` includes this vertex constraint by default. Should not be used as a subset specification.

Author:
  Joshua O'Madadhain

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.predicates.GPredicate
`isInitializationPredicate`

Constructor Summary
`NotInGraphVertexPredicate(ArchetypeGraph ag)`

Method Summary
`boolean` | `equals(Object o)`
`boolean` | `evaluateVertex(ArchetypeVertex av)` Returns `true` if this vertex is not currently a member of any graph.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class edu.uci.ics.jung.graph.predicates.VertexPredicate
`evaluate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Predicate
`evaluate`

Constructor Detail

### NotInGraphVertexPredicate

    public NotInGraphVertexPredicate(ArchetypeGraph ag)

Method Detail

### toString

    public String toString()

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### evaluateVertex

    public boolean evaluateVertex(ArchetypeVertex av)

  Returns `true` if this vertex is not currently a member of any graph.

  Specified by:
    `evaluateVertex` in class `VertexPredicate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD